Bug 1289838 - [tiering]: gluster tier status command times out most of the time
[tiering]: gluster tier status command times out most of the time
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier (Show other bugs)
3.1
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
nchilaka
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 01:29 EST by krishnaram Karthick
Modified: 2016-09-17 11:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-10 02:05:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description krishnaram Karthick 2015-12-09 01:29:47 EST
Description of problem:

On a 8 node gluster cluster configured on rhel 6.7, tier volume status command times out most of the time.

[root@dhcp37-191 ~]# gluster vol tier tier-volume-01 status

Error : Request timed out
Tier command failed

[root@dhcp37-191 ~]# gluster vol set tier-volume-01 cluster.watermark-low 11
volume set: failed: Another transaction is in progress for tier-volume-01. Please try again after sometime.


Version-Release number of selected component (if applicable):
glusterfs-3.7.5-9.el6rhs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Configure 8 node gluster cluster and run IO over night. (Overnight IO is to soak the system, tier vol status works fine for newly created volume)
2. Run gluster vol tier status

Actual results:
tier vol status command times out

Expected results:
tier vol status should not time out

Additional info:

sosreport will be attached shortly.
Comment 2 krishnaram Karthick 2015-12-09 03:39:47 EST
sosreports are available here --> http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/1289838/
Comment 3 nchilaka 2015-12-10 02:05:21 EST
Given that this was raised on 6.7 and hasn't been so far reported in 7.x setup, will mark it as "wont fix". If QE sees this issue on 7.x, QE will reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.